Skip to main content

Authentication - Login

This API will take merchant credentials such as SadadId, webssite and secretkey and provide access token if request is correct. For authentication, merchants should be registered in Sadad Payment Solution. Merchant should have SadadID, registered website and valid secret key. You have to generate secret API Keys for the test and live modes. No real money is used in test mode.

https://api-sandbox.sadad.qa/api//userbusinesses/login

Permission: Merchant

curl -d '{"sadadId": 9288463, "secretKey": "aXXXXXXXXXXXXXX7", "domain": "www.xxxxxxx.com"}' -H "Content-Type: application/json" -X POST https://api-s.sadad.qa/api/userbusinesses/login

FieldTypeDescription
sadadIdNumberUnique Sadad user Id
secretKeyStringAPI secret key generated by merchant
domainStringDomain name for which the API key is generated
{
"sadadId": 9288463,
"secretKey": "aXXXXXXXXXXXXXX7",
"domain": "www.xxxxxxx.com"
}

Success 200

FieldTypeDescription
accessTokenStringThe accesstoken using which merchant can use other APIs.
{
"accessToken": "EUgQYPvPTfCzb7dUW67kT4725jNB31ISxTE0oHQfna4lEyrGNcBlVIn0OyYepVSd"
}

Error 4xx

FieldDescription
401Invalid credentials!
400User is blocked!
{
"error": {
"statusCode": 401,
"name": "Error",
"message": "Invalid credentials !"
}
}